<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="skill-top">
                        <!-- <h4>Skills Required</h4> -->
                        <form [formGroup]="addSkillsForm">
                            <div *ngFor=" let skill of skillsList" class="row" style=" margin-bottom: 20px; list-style-type: none;">
                                <label class="col-4"> {{ skill.jobRoleName }} </label>
                                <!-- <div class="col-8">
                                    <ul    style=" margin-bottom: 20px;list-style-type: none;" >
                                        <li formArrayName="skillDetails"
                                            *ngFor=" let detail of skill.details; let i = index ">
                                            <label>
                                                <input type="checkbox" value="{{detail.skillId}}"
                                                    checked="{{detail.checked}}"
                                                    (change)="onChecklistChange($event.target.checked,detail.skillId ,skill.jobRoleId , skill.jobRoleName , detail.skillName )">
                                                {{detail.skillName}}
                                            </label>
                                        </li>
                                    </ul>
                                </div> -->
                                <div class="col-8" >
                                                        
                                    <span formArrayName="skillDetails"
                                        *ngFor=" let detail of skill.details; let i = index ">
                                        <span *ngIf = "i>0">,  </span>
                                        <label>
                                            <input type="checkbox" value="{{detail.skillId}}"
                                                checked="{{detail.checked}}"
                                                (change)="onChecklistChange($event.target.checked,detail.skillId ,skill.jobRoleId , skill.jobRoleName , detail.skillName )">
                                            {{detail.skillName}}
                                        </label>
                                    </span>
                               
                            </div>
                            </div>

                            <!-- Error Messages -->
                            <span class="col-8 help-block bottom fs12 text-left t-red"
                                *ngFor="let validation of errors.skillDetails">
                                <span
                                    *ngIf="addSkillsForm.get('skillDetails').hasError(validation.type) && (addSkillsForm.get('skillDetails').dirty || addSkillsForm.get('skillDetails').touched)">
                                    {{validation.message}}
                                </span>
                            </span>
                        </form>

                        <!-- <form [formGroup]="addSkillsForm">
                            <ul>
                                <li><label><input type="checkbox"> Carpenters construct and repair building structures
                                    </label></li>
                                <li><label><input type="checkbox"> Tend to your creature comforts </label></li>
                                <li><label><input type="checkbox"> Construction </label></li>
                            </ul>
                        </form> -->
                        <!-- <li formArrayName="skillsList" *ngFor=" let skill of skillsList; let i = index ">
                                    <label>
                                        <input type="checkbox" value="{{skill.id}}" [formControlName]="i">
                                        {{skill.name}}
                                    </label>
                                </li> -->
                    </div>

                    <div class="form-box">
                        <div class="form-group">
                            <div class="row">
                                <div class="col-4"><label>Description </label></div>
                                <div class="col-8">
                                    <textarea class="form-control desc-text" [formControl]="skillDescription"
                                placeholder="Enter The Job Description" ></textarea>

                                    <!-- Error Messages -->
                                    <span class="t-red" *ngFor="let validation of errors.skillDescription">
                                        <span
                                            *ngIf="skillDescription.hasError(validation.type) && (skillDescription.dirty || skillDescription.touched)">
                                            {{validation.message}}
                                        </span>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group text-center">
                        <!-- [disabled]="!addSkillsForm.controls.skillDetails.valid" -->
                        <input type="submit" (click)="saveSkills()" value="Save" class="btn">
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>